#include <windows.h>

#include "resource.h"
#include "config.h"
#include "util.h"

#include "conndlg.h"

// Parameter passed from main dialog (result)
static struct ConnDlgParam *lpDlgParam;

static BOOL OnInitDialog(HWND hWnd, LPVOID lpParam)
{
	lpDlgParam = lpParam;
	CenterWindow(hWnd);
	SetDlgItemText(hWnd, IDC_CONN_EDT_PORT, CFG_DEFAULT_DEVICE);
	return TRUE;
}

static BOOL OnCommand(HWND hWnd, int iCtrlCode)
{
	BOOL fHandled = FALSE;

	if (iCtrlCode == IDC_CONN_BTN_CONN) {
		GetDlgItemText(hWnd, IDC_CONN_EDT_PORT, lpDlgParam->szCommDev,
			sizeof(lpDlgParam->szCommDev) / sizeof(TCHAR));
		EndDialog(hWnd, IDOK);
		fHandled = TRUE;
	}

	return fHandled;
}

static BOOL OnClose(HWND hWnd)
{
	EndDialog(hWnd, IDCANCEL);
	return TRUE;
}

INT_PTR CALLBACK ConnDlgProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	INT_PTR iResult = FALSE;

	switch (uMsg) {
	case WM_INITDIALOG:
		iResult = OnInitDialog(hWnd, (LPVOID) lParam);
		break;
	case WM_COMMAND:
		iResult = OnCommand(hWnd, LOWORD(wParam));
		break;
	case WM_CLOSE:
		iResult = OnClose(hWnd);
		break;
	}

	return iResult;
}
